initial_x = 352;
initial_y = 96;
initial_x_laser = 384;
initial_y_laser = 128;
initial_x_laser_button = 369;
initial_y_laser_button = 114;

globalvar lazerOn;
globalvar lazerCount;
globalvar squareGrid;
globalvar lazerHorisontal;
globalvar lazerVertical;
globalvar lazerButtonHorisontal;
globalvar lazerButtonVertical;
globalvar pattern;

global.lazerOn = false;
global.lazerCount = 0;

//3 pixels for lazer between the squares
//pattern = pattern array
for (i = 0; i < 19; i = i + 1) {
    for (j = 0; j < 19; j = j + 1) {
        if (global.pattern[i,j] == "buttonLit") {
            instance_create(initial_x + (32 * j) + (3 * j),initial_y + (32 * i) + (3 * i),patternObj);
        }
    }
}

//squareGrid = array for the squares
for (i = 0; i < 19; i = i + 1) {
    for (j = 0; j < 19; j = j + 1) {
        global.squareGrid[i,j] = instance_create(initial_x + (32 * j) + (3 * j),initial_y + (32 * i) + (3 * i),buttonUnlitObj);
    }
}

//lazerHorisontal = horisontal lasers array
for (i = 0; i < 18; i = i + 1) {
    global.lazerHorisontal[i] = instance_create(initial_x_laser - 47,initial_y_laser + (32 * i) + (i * 3),laserHorisontalObj);
}

//lazerVertical = vertical lasers array
for (i = 0; i < 18; i = i + 1) {
    global.lazerVertical[i] = instance_create(initial_x_laser + (32 * i) + (i * 3),initial_y_laser - 46,laserVerticalObj);
}

//lazerButtonHorisontal = horizontal lazer control buttons array
for (i = 0; i < 18; i = i + 1) {
    global.lazerButtonHorisontal[i] = instance_create(initial_x_laser_button - 64,initial_y_laser_button + (32 * i) + (i * 3),lazerButtonHorisontalObj);
}
//lazerButtonVertical = vertical lazer control buttons array
for (i = 0; i < 18; i = i + 1) {
    global.lazerButtonVertical[i] = instance_create(initial_x_laser_button + (32 * i) + (i * 3),initial_y_laser_button - 64,lazerButtonVerticalObj);
}
